Page MenuHomePhabricator

1.35.0-wmf.1 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.1
Release Date
1570406400

2019 week 41 1.35-wmf.1 Changes wmf/1.35.0-wmf.1

This MediaWiki Train Deployment is scheduled for the week of Monday, October 7th:

Monday October 7thTuesday, October 8thWednesday, October 9thThursday, October 10thFriday
SWAT deployments only.Branch wmf.1 and deploy to Group 0 Wikis.Deploy wmf.1 to Group 1 Wikis.Deploy wmf.1 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.1 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.25
Next: 1.35.0-wmf.2

Related Objects

Event Timeline

mmodell created this task.Wed, Sep 25, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptWed, Sep 25, 10:14 PM
mmodell assigned this task to dduvall.Wed, Sep 25, 10:15 PM
mmodell removed a subscriber: mmodell.
dduvall triaged this task as Normal priority.Mon, Oct 7, 5:04 PM

Mentioned in SAL (#wikimedia-operations) [2019-10-08T19:51:47Z] <marxarelli> 1.35.0-wmf.1 promoted to group0, cc: T233849. no rise in error rates. no new relevant errors

Change 541901 had a related patch set uploaded (by Dduvall; owner: Dduvall):
[operations/mediawiki-config@master] Rollback labswiki to 1.34.0-wmf.25

https://gerrit.wikimedia.org/r/541901

Change 541901 merged by jenkins-bot:
[operations/mediawiki-config@master] Rollback labswiki to 1.34.0-wmf.25

https://gerrit.wikimedia.org/r/541901

Mentioned in SAL (#wikimedia-operations) [2019-10-09T19:25:06Z] <marxarelli> 1.35.0-wmf.1 promoted to group1, labswiki rolled back to 1.34.0-wmf.25 and to be kept back, cc: T233849

Mentioned in SAL (#wikimedia-operations) [2019-10-10T19:04:56Z] <marxarelli> promoting labswiki to 1.35.0-wmf.1 cc: T233849

Mentioned in SAL (#wikimedia-operations) [2019-10-10T19:29:11Z] <marxarelli> promoted 1.35.0-wmf.1 to all wikis. no rise in errors rates. no new relevant errors cc: T233849

dduvall closed this task as Resolved.Thu, Oct 10, 7:29 PM